"""Module to handle Synapse QRcodes"""
try:
    from .synapseqrcodes_version import __version__

    assert __version__
except ImportError:
    __version__ = "UNKNOWN"
try:
    from .synapseqrcodes_version import __revision__

    assert __revision__
except ImportError:
    __revision__ = "UNKNOWN"
from .synapseqrcodes import (
    PARAMETERS,
    date_code_string,
    synapse_qrcode,
    synapse_qrcode_loop,
    verify_parameter,
)

# list all the functions
__all__ = [
    "__version__",
    "__revision__",
    "PARAMETERS",
    "verify_parameter",
    "synapse_qrcode",
    "synapse_qrcode_loop",
    "date_code_string",
]
